# Reflection::export

(PHP 5, PHP 7)

Reflection::export — Exporte

Avertissement

Cette fonction est OBSOLÈTE à partir de PHP 7.4.0. Dépendre de cette fonction est fortement déconseillé.

### Description

public static Reflection::export(Reflector `$reflector`, bool `$return` = `false`): string

Exporte une réflexion.

Avertissement

Cette fonction est actuellement non documentée ; seule la liste des arguments est disponible.

### Liste de paramètres

`reflector`

  La réflection à exporter.

`return`

  Le fait de le définir à `true` retournera l'export plutôt que l'émission. Le définir à `false` (par défaut) fera l'inverse.

### Valeurs de retour

Si le paramètre `return` est défini à `true`, l'export sera retourné sous la forme d'une chaîne de caractères, sinon, `null` sera retourné.

### Voir aussi

- Reflection::getModifierNames() - Récupère le nom des modificateurs